Skip to main content
POST
/
rooms
/
{room_name}
rooms/:name
curl --request POST \
  --url https://api.daily.co/v1/rooms/{room_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "privacy": "<string>",
  "properties": {
    "nbf": 123,
    "exp": 123,
    "max_participants": 200,
    "enable_people_ui": true,
    "enable_cpu_warning_notifications": true,
    "enable_pip_ui": true,
    "enable_emoji_reactions": true,
    "enable_hand_raising": true,
    "enable_prejoin_ui": true,
    "enable_live_captions_ui": true,
    "enable_network_ui": true,
    "enable_noise_cancellation_ui": true,
    "enable_breakout_rooms": true,
    "enable_knocking": true,
    "enable_screenshare": true,
    "enable_video_processing_ui": true,
    "enable_chat": false,
    "enable_shared_chat_history": true,
    "start_video_off": false,
    "start_audio_off": false,
    "eject_at_room_exp": false,
    "eject_after_elapsed": 123,
    "enable_advanced_chat": false,
    "enable_hidden_participants": false,
    "enable_mesh_sfu": true,
    "sfu_switchover": 0.5,
    "enable_adaptive_simulcast": true,
    "enable_multiparty_adaptive_simulcast": false,
    "enforce_unique_user_ids": false,
    "experimental_optimize_large_calls": true,
    "lang": "en",
    "meeting_join_hook": "<string>",
    "geo": "NULL",
    "rtmp_geo": "The closest available region to the SFU region used by the meeting.",
    "disable_rtmp_geo_fallback": false,
    "recordings_bucket": {
      "bucket_name": "my-daily-recording",
      "bucket_region": "ap-south-1",
      "assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
      "allow_api_access": true,
      "allow_streaming_from_bucket": true
    },
    "enable_terse_logging": false,
    "auto_transcription_settings": {
      "language": "de"
    },
    "enable_transcription_storage": false,
    "transcription_bucket": {
      "bucket_name": "my-daily-recording",
      "bucket_region": "ap-south-1",
      "assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
      "allow_api_access": true
    },
    "recordings_template": "{domain_name}/{room_name}/{epoch_time}.",
    "transcription_template": "{domain_name}/{room_name}/{epoch_time}.vtt.",
    "enable_dialout": false,
    "dialout_config": {
      "allow_room_start": false,
      "dialout_geo": "ap-south-1",
      "max_idle_timeout_sec": 0
    },
    "streaming_endpoints": [
      {
        "name": "rtmp_ivs",
        "type": "hls",
        "hls_config['storage']['path']": "my-bucket-name/my-folder-name",
        "hls_config['storage']['path_template']": "<string>",
        "hls_config['save_hls_recording']": true,
        "hls_config['variants']": [
          {
            "width": 123,
            "height": 123,
            "fps": 123,
            "bitrate": 123,
            "iframe_only": true
          }
        ]
      }
    ],
    "permissions": {
      "hasPresence": true,
      "canSend": true,
      "canReceive": {},
      "canAdmin": true
    }
  }
}
EOF
{
  "id": "d61cd7b2-a273-42b4-89bd-be763fd562c1",
  "name": "w2pp2cf4kltgFACPKXmX",
  "api_created": false,
  "privacy": "public",
  "url": "https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX",
  "created_at": "2019-01-26T09:01:22.000Z",
  "config": {
    "start_video_off": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

room_name
string
required

Body

application/json
privacy
string
properties
object

Response

200